Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066259 - [abrt] WARNING: CPU: 2 PID: 1195 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
Summary: [abrt] WARNING: CPU: 2 PID: 1195 at fs/sysfs/group.c:214 sysfs_remove_group+0...
Keywords:
Status: CLOSED DUPLICATE of bug 1030988
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c4c741430edd33339c23e94ddc7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 07:05 UTC by Pavel Alexeev
Modified: 2014-10-06 19:26 UTC (History)
59 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-12 05:55:09 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2014-02-18 07:05 UTC, Pavel Alexeev
no flags Details

Description Pavel Alexeev 2014-02-18 07:05:23 UTC
Additional info:
reporter:       libreport-2.1.12
WARNING: CPU: 2 PID: 1195 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
sysfs group ffffffff81cb06e0 not found for kobject 'hidraw2'
Modules linked in: usb_storage md4 nls_utf8 cifs dns_resolver fscache rfcomm tun bridge stp llc ebtable_nat ebtables ccm bnep xt_CHECKSUM iptable_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_conntrack ip6table_filter ip6_tables ipt_MASQUERADE iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack loop fuse arc4 brcmsmac cordic brcmutil b43 snd_hda_codec_hdmi mac80211 snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep coretemp cfg80211 kvm_intel snd_seq snd_seq_device snd_pcm btusb bluetooth iTCO_wdt iTCO_vendor_support kvm ssb samsung_laptop mmc_core snd_page_alloc uvcvideo crc32c_intel videobuf2_vmalloc videobuf2_memops videobuf2_core videodev i2c_i801 snd_timer snd intel_ips bcma media rfkill r8169 mii joydev soundcore microcode mei_me lpc_ich serio_raw mei mfd_core shpchp acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc hid_logitech_dj nouveau mxm_wmi i915 wmi ttm i2c_algo_bit drm_kms_helper drm i2c_core video [last unloaded: ipmi_msghandler]
CPU: 2 PID: 1195 Comm: upowerd Not tainted 3.13.3-201.fc20.x86_64 #1
Hardware name: SAMSUNG ELECTRONICS CO., LTD. RC410/RC510/RC710          /RC410/RC510/RC710          , BIOS 03HU.M008.20110119.KSY 01/19/2011
 0000000000000009 ffff880229e63d20 ffffffff81686b48 ffff880229e63d68
 ffff880229e63d58 ffffffff8106d47d 0000000000000000 ffffffff81cb06e0
 ffff880037108810 ffff88023e01f8e8 ffff88023d89a2a0 ffff880229e63db8
Call Trace:
 [<ffffffff81686b48>] dump_stack+0x45/0x56
 [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8106d4ec>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff81230ace>] ? sysfs_get_dirent_ns+0x4e/0x70
 [<ffffffff81231d96>] sysfs_remove_group+0xc6/0xd0
 [<ffffffff8141dba3>] dpm_sysfs_remove+0x43/0x50
 [<ffffffff814138f5>] device_del+0x45/0x1c0
 [<ffffffff81413a8e>] device_unregister+0x1e/0x60
 [<ffffffff81413b4c>] device_destroy+0x3c/0x50
 [<ffffffff81541cc7>] drop_ref.part.2+0x57/0x70
 [<ffffffff815425ea>] hidraw_release+0x7a/0x90
 [<ffffffff811ba63c>] __fput+0xdc/0x230
 [<ffffffff811ba7de>] ____fput+0xe/0x10
 [<ffffffff8108c0e7>] task_work_run+0xa7/0xe0
 [<ffffffff81013a41>] do_notify_resume+0x61/0xa0
 [<ffffffff81695de2>] int_signal+0x12/0x17

Potential duplicate: bug 1030988

Comment 1 Pavel Alexeev 2014-02-18 07:05:30 UTC
Created attachment 864380 [details]
File: dmesg

Comment 2 Ken DeChick 2014-02-18 19:24:50 UTC
Description of problem:
Had error upon login following reboot after yum update - no symptoms to note.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.12
cmdline:        BOOT_IMAGE=/vmlinuz-3.13.3-201.fc20.i686+PAE root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 vconsole.keymap=us rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root ipv6.disable=1 biosdevname=0 selinux=0 consoleblank=0 nomodeset LANG=en_US.UTF-8
kernel:         3.13.3-201.fc20.i686+PAE
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1433 at fs/sysfs/group.c:214 sysfs_remove_group+0xb9/0xc0()
sysfs group c0c954e8 not found for kobject 'target2:0:0'
Modules linked in: vfat fat usb_storage fuse snd_intel8x0 snd_intel8x0m snd_ac97_codec iTCO_wdt ac97_bus iTCO_vendor_support snd_seq gpio_ich microcode ppdev lpc_ich snd_seq_device snd_pcm snd_page_alloc serio_raw mfd_core sony_laptop snd_timer parport_pc e100 mii snd rfkill i2c_i801 parport keyspan ezusb soundcore i2c_algo_bit drm_kms_helper ttm ata_generic pata_acpi drm firewire_ohci yenta_socket firewire_core crc_itu_t i2c_core
CPU: 0 PID: 1433 Comm: umount Not tainted 3.13.3-201.fc20.i686+PAE #1
Hardware name: Sony Corporation     PCG-GRZ610(UC)      , BIOS R0216B1 12/03/02  
 00000000 00000000 f5aa9d4c c09c3036 f5aa9d8c f5aa9d7c c04560ce c0b8457c
 f5aa9da8 00000599 c0b7f3b1 000000d6 c05cb159 c05cb159 00000000 c0c954e8
 f0d3ea1c f5aa9d94 c0456123 00000009 f5aa9d8c c0b8457c f5aa9da8 f5aa9dbc
Call Trace:
 [<c09c3036>] dump_stack+0x41/0x52
 [<c04560ce>] warn_slowpath_common+0x7e/0xa0
 [<c05cb159>] ? sysfs_remove_group+0xb9/0xc0
 [<c05cb159>] ? sysfs_remove_group+0xb9/0xc0
 [<c0456123>] warn_slowpath_fmt+0x33/0x40
 [<c05cb159>] sysfs_remove_group+0xb9/0xc0
 [<c0799097>] dpm_sysfs_remove+0x37/0x40
 [<c0790454>] device_del+0x34/0x170
 [<c07b4bb4>] scsi_target_reap_usercontext+0x24/0x30
 [<c046bb7c>] execute_in_process_context+0x4c/0x60
 [<c07b5d68>] scsi_target_reap+0x98/0xb0
 [<c07b7b07>] scsi_device_dev_release_usercontext+0xd7/0x110
 [<c046bb7c>] execute_in_process_context+0x4c/0x60
 [<c07b7a28>] scsi_device_dev_release+0x18/0x20
 [<c078fb8b>] device_release+0x2b/0x90
 [<c078fb92>] ? device_release+0x32/0x90
 [<c069beaf>] kobject_cleanup+0x6f/0x1a0
 [<c069bec7>] ? kobject_cleanup+0x87/0x1a0
 [<c05576fd>] ? kfree+0xdd/0x110
 [<c069bd85>] kobject_put+0x25/0x60
 [<c04ba26d>] ? module_refcount+0x7d/0xa0
 [<c07ab7af>] ? scsi_device_put+0x3f/0x50
 [<c078fe24>] put_device+0x14/0x20
 [<c07ab7ba>] scsi_device_put+0x4a/0x50
 [<c07bbf68>] scsi_disk_put+0x28/0x40
 [<c07bc1f0>] sd_release+0x40/0xc0
 [<c057eb61>] ? destroy_inode+0x31/0x50
 [<c0599318>] __blkdev_put+0x128/0x160
 [<c05992c9>] __blkdev_put+0xd9/0x160
 [<c0599ab0>] blkdev_put+0x40/0xf0
 [<c0569b3d>] kill_block_super+0x3d/0x70
 [<c0569dc3>] deactivate_locked_super+0x33/0x50
 [<c056a29a>] deactivate_super+0x3a/0x60
 [<c0582626>] mntput_no_expire+0x96/0x120
 [<c058378d>] SyS_umount+0x7d/0xc0
 [<c09d024d>] sysenter_do_call+0x12/0x28

Comment 3 Andre Klapper 2014-02-19 17:27:53 UTC
Description of problem:
No idea. Running Firefox, Latexila, Evolution etc. in a XFCE session; and I unplugged my external USB hard drive which was not mounted in XFCE, but was previously used (and maybe still mounted?) in a GNOME/gnome-shell 3.10 session.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.12
cmdline:        BOOT_IMAGE=/vmlinuz-3.13.3-201.fc20.i686+PAE root=/dev/mapper/luks-8785709c-f3d6-4547-a51c-3f66be66e7aa ro rd.luks.uuid=luks-e7966f48-7243-4c85-a21c-264c9ddd76cd rd.md=0 rd.dm=0 vconsole.keymap=us vconsole.font=latarcyrheb-sun16 rd.luks.uuid=luks-8785709c-f3d6-4547-a51c-3f66be66e7aa rd.lvm.lv=fedora/01 rd.lvm.lv=fedora/00 rhgb quiet LANG=en_US.UTF-8
kernel:         3.13.3-201.fc20.i686+PAE
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 27141 at fs/sysfs/group.c:214 sysfs_remove_group+0xb9/0xc0()
sysfs group c0c954e8 not found for kobject 'target5:0:0'
Modules linked in: usblp tcp_lp rfcomm ses enclosure usb_storage snd_usb_audio snd_usbmidi_lib snd_rawmidi pwc videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev media fuse ccm ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 bnep nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep snd_seq arc4 snd_seq_device snd_pcm coretemp thinkpad_acpi kvm iwl4965 iwlegacy snd_page_alloc snd_timer joydev snd microcode iTCO_wdt iTCO_vendor_support btusb bluetooth mac80211 lpc_ich serio_raw e1000e soundcore ptp i2c_i801 cfg80211 mfd_core pps_core rfkill tpm_tis tpm acpi_cpufreq dm_crypt nouveau mxm_wmi firewire_ohci i2c_algo_bit drm_kms_helper yenta_socket firewire_core ata_generic pata_acpi crc_itu_t ttm drm i2c_core wmi video
CPU: 1 PID: 27141 Comm: cryptsetup Not tainted 3.13.3-201.fc20.i686+PAE #1
Hardware name: LENOVO 766313U/766313U, BIOS 7LETC5WW (2.25 ) 11/14/2008
 00000000 00000000 d224badc c09c3036 d224bb1c d224bb0c c04560ce c0b8457c
 d224bb38 00006a05 c0b7f3b1 000000d6 c05cb159 c05cb159 00000000 c0c954e8
 e5f5321c d224bb24 c0456123 00000009 d224bb1c c0b8457c d224bb38 d224bb4c
Call Trace:
 [<c09c3036>] dump_stack+0x41/0x52
 [<c04560ce>] warn_slowpath_common+0x7e/0xa0
 [<c05cb159>] ? sysfs_remove_group+0xb9/0xc0
 [<c05cb159>] ? sysfs_remove_group+0xb9/0xc0
 [<c0456123>] warn_slowpath_fmt+0x33/0x40
 [<c05cb159>] sysfs_remove_group+0xb9/0xc0
 [<c0799097>] dpm_sysfs_remove+0x37/0x40
 [<c0790454>] device_del+0x34/0x170
 [<c07b4bb4>] scsi_target_reap_usercontext+0x24/0x30
 [<c046bb7c>] execute_in_process_context+0x4c/0x60
 [<c07b5d68>] scsi_target_reap+0x98/0xb0
 [<c07b7b07>] scsi_device_dev_release_usercontext+0xd7/0x110
 [<c046bb7c>] execute_in_process_context+0x4c/0x60
 [<c07b7a28>] scsi_device_dev_release+0x18/0x20
 [<c078fb8b>] device_release+0x2b/0x90
 [<c05576fd>] ? kfree+0xdd/0x110
 [<c069beaf>] kobject_cleanup+0x6f/0x1a0
 [<c069bec7>] ? kobject_cleanup+0x87/0x1a0
 [<c069bd85>] kobject_put+0x25/0x60
 [<c04ba26d>] ? module_refcount+0x7d/0xa0
 [<c07ab7af>] ? scsi_device_put+0x3f/0x50
 [<c078fe24>] put_device+0x14/0x20
 [<c07ab7ba>] scsi_device_put+0x4a/0x50
 [<c07bbf68>] scsi_disk_put+0x28/0x40
 [<c07bc1f0>] sd_release+0x40/0xc0
 [<c057eb61>] ? destroy_inode+0x31/0x50
 [<c0599318>] __blkdev_put+0x128/0x160
 [<c05992c9>] __blkdev_put+0xd9/0x160
 [<c0599ab0>] blkdev_put+0x40/0xf0
 [<c08808d0>] close_dev.isra.7+0x30/0x40
 [<c0880b89>] dm_put_device+0x29/0x40
 [<f7f9a2ab>] crypt_dtr+0xeb/0x120 [dm_crypt]
 [<c0880f91>] dm_table_destroy+0x51/0xd0
 [<c04a7fc6>] ? synchronize_sched_expedited+0x136/0x190
 [<c087e8bd>] __dm_destroy+0xdd/0x220
 [<c087f5a2>] dm_destroy+0x12/0x20
 [<c0884714>] dev_remove+0x104/0x160
 [<c06a622c>] ? _copy_from_user+0x2c/0x40
 [<c0884d64>] ctl_ioctl+0x214/0x490
 [<c0884610>] ? dev_suspend+0x220/0x220
 [<c0884fe0>] ? ctl_ioctl+0x490/0x490
 [<c0884ff1>] dm_ctl_ioctl+0x11/0x20
 [<c0578262>] do_vfs_ioctl+0x2e2/0x4c0
 [<c0642962>] ? inode_has_perm.isra.32+0x32/0x40
 [<c0642a7f>] ? file_has_perm+0x7f/0x90
 [<c0569301>] ? __fput+0x121/0x1e0
 [<c064346c>] ? selinux_file_ioctl+0x4c/0xf0
 [<c05784a0>] SyS_ioctl+0x60/0x80
 [<c09d024d>] sysenter_do_call+0x12/0x28

Comment 4 ipetpotolo 2014-02-19 17:44:56 UTC
Description of problem:
/home/sampha/.cache/abrt/spool/oops-2014-02-18-18:42:53-6576-0


WARNING: CPU: 0 PID: 6571 at fs/sysfs/group.c:
mce: [Hardware Error]: Machine check events logge
WARNING: CPU: 0 PID: 6571 at fs/sysfs/group.c:214 sysfs
gnome-web-photo killed by SIGTRAP

some thing keep turning off the computer.

the computers stalls when more than 3 tabs are open.

the nextwork connection keep failing on its own, i have to keep turning on and off the computer
to get the newwork to connect.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.12
cmdline:        BOOT_IMAGE=/vmlinuz-3.13.3-201.fc20.i686 root=UUID=5ead9378-ef97-4c36-b612-2ae11bada38f ro rootflags=subvol=root vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.13.3-201.fc20.i686
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 6571 at fs/sysfs/group.c:214 sysfs_remove_group+0xb9/0xc0()
sysfs group c0c6ed68 not found for kobject 'target6:0:0'
Modules linked in: usblp fuse ip6t_rpfilter bnep bluetooth ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 snd_hda_codec_realtek snd_hda_intel snd_hda_codec rtl8187 eeprom_93cx6 snd_hwdep snd_seq snd_seq_device snd_pcm mac80211 snd_page_alloc cfg80211 snd_timer coretemp i2c_i801 iTCO_wdt snd iTCO_vendor_support toshiba_acpi sparse_keymap rfkill microcode joydev soundcore r8169 lpc_ich serio_raw wmi mii binfmt_misc btrfs libcrc32c xor raid6_pq i915 i2c_algo_bit usb_storage drm_kms_helper drm i2c_core video
CPU: 0 PID: 6571 Comm: umount Not tainted 3.13.3-201.fc20.i686 #1
Hardware name: TOSHIBA Satellite L305/Portable PC, BIOS 1.90 06/04/2009
 00000000 00000000 e50d9d34 c09a61c8 e50d9d74 e50d9d64 c0448dde c0b61ebc
 e50d9d90 000019ab c0b5cc2f 000000d6 c05bba79 c05bba79 00000000 c0c6ed68
 f668661c e50d9d7c c0448e33 00000009 e50d9d74 c0b61ebc e50d9d90 e50d9da4
Call Trace:
 [<c09a61c8>] dump_stack+0x41/0x52
 [<c0448dde>] warn_slowpath_common+0x7e/0xa0
 [<c05bba79>] ? sysfs_remove_group+0xb9/0xc0
 [<c05bba79>] ? sysfs_remove_group+0xb9/0xc0
 [<c0448e33>] warn_slowpath_fmt+0x33/0x40
 [<c05bba79>] sysfs_remove_group+0xb9/0xc0
 [<c07772d7>] dpm_sysfs_remove+0x37/0x40
 [<c076e664>] device_del+0x34/0x170
 [<c0793364>] scsi_target_reap_usercontext+0x24/0x30
 [<c045e1fc>] execute_in_process_context+0x4c/0x60
 [<c0794518>] scsi_target_reap+0x98/0xb0
 [<c07962b7>] scsi_device_dev_release_usercontext+0xd7/0x110
 [<c045e1fc>] execute_in_process_context+0x4c/0x60
 [<c07961d8>] scsi_device_dev_release+0x18/0x20
 [<c076dd9b>] device_release+0x2b/0x90
 [<c0547f1d>] ? kfree+0xdd/0x110
 [<c068c0ef>] kobject_cleanup+0x6f/0x1a0
 [<c068c107>] ? kobject_cleanup+0x87/0x1a0
 [<c076dda2>] ? device_release+0x32/0x90
 [<c068bfc5>] kobject_put+0x25/0x60
 [<c04ac92d>] ? module_refcount+0x7d/0xa0
 [<c0789f6f>] ? scsi_device_put+0x3f/0x50
 [<c076e034>] put_device+0x14/0x20
 [<c0789f7a>] scsi_device_put+0x4a/0x50
 [<c079a718>] scsi_disk_put+0x28/0x40
 [<c079a9a0>] sd_release+0x40/0xc0
 [<c056f231>] ? destroy_inode+0x31/0x50
 [<c0589988>] __blkdev_put+0x128/0x160
 [<c0589939>] __blkdev_put+0xd9/0x160
 [<c058a120>] blkdev_put+0x40/0xf0
 [<c055a20d>] kill_block_super+0x3d/0x70
 [<f920fc6c>] fuse_kill_sb_blk+0x3c/0x50 [fuse]
 [<c055a493>] deactivate_locked_super+0x33/0x50
 [<c055a96a>] deactivate_super+0x3a/0x60
 [<c0572cf6>] mntput_no_expire+0x96/0x120
 [<c0573e5d>] SyS_umount+0x7d/0xc0
 [<c09b350d>] sysenter_do_call+0x12/0x28

Comment 5 Christian Kujau 2014-02-19 18:25:55 UTC
This happened here (MacBookPro5,5) when I unplugged a wireless-mouse USB dongle that was loaded just normally during boot:

-----------------------
[    4.781814] logitech-djreceiver 0003:046D:C52B.0003: hiddev0,hidraw1: USB HID v1.11 Device [Logitech USB Receiver] on usb-0000:00:06.0-2/input2
[    4.790586] input: Logitech Unifying Device. Wireless PID:4007 as /devices/pci0000:00/0000:00:06.0/usb4/4-2/4-2:1.2/0003:046D:C52B.0003/input/input7
[    4.792193] logitech-djdevice 0003:046D:C52B.0005: input,hidraw2: USB HID v1.11 Keyboard [Logitech Unifying Device. Wireless PID:4007] on usb-0000:00:06.0-2:1
-----------------------

Comment 6 Christian Kujau 2014-02-21 00:19:43 UTC
Just happened again when I unplugged the same wireless mouse USB dongle, so I guess it's pretty reproducible:

==================================
[25776.406633] usb 4-2: USB disconnect, device number 3
[25776.440728] ------------[ cut here ]------------
[25776.440739] WARNING: CPU: 1 PID: 1602 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[25776.440741] sysfs group ffffffff81cb06e0 not found for kobject 'hidraw0'
[25776.440743] Modules linked in: rpcsec_gss_krb5 fuse ipt_MASQUERADE xt_CHECKSUM tun md4 nfsv4 nfs cifs dns_resolver fscache ccm ip6t_rpfilter ip6t_REJECT xt_conntrack bnep vboxpci(OF) vboxnetadp(OF) vboxnetflt(OF) ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables vboxdrv(OF) ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw btusb bluetooth hid_appleir bcm5974 arc4 b43 bcma mac80211 cfg80211 rfkill applesmc input_polldev snd_hda_codec_cirrus twofish_generic nls_utf8 uvcvideo hfsplus twofish_x86_64_3way twofish_x86_64 twofish_common videobuf2_vmalloc videobuf2_memops dm_crypt videobuf2_core
[25776.440792]  videodev media coretemp kvm_intel nouveau snd_hda_intel snd_hda_codec snd_hwdep kvm mxm_wmi wmi video i2c_algo_bit ttm drm_kms_helper ssb mmc_core drm snd_seq microcode snd_seq_device snd_pcm shpchp snd_page_alloc snd_timer snd forcedeth soundcore i2c_nforce2 i2c_core apple_bl acpi_cpufreq binfmt_misc nfsd auth_rpcgss nfs_acl lockd sunrpc hid_logitech_dj firewire_ohci firewire_core crc_itu_t usb_storage ecryptfs encrypted_keys trusted tpm
[25776.440826] CPU: 1 PID: 1602 Comm: upowerd Tainted: GF          O 3.13.3-201.fc20.x86_64 #1
[25776.440828] Hardware name: Apple Inc. MacBookPro5,5/Mac-F2268AC8, BIOS    MBP55.88Z.00AC.B03.0906151708 06/15/09
[25776.440830]  0000000000000009 ffff88021f61dd20 ffffffff81686b48 ffff88021f61dd68
[25776.440834]  ffff88021f61dd58 ffffffff8106d47d 0000000000000000 ffffffff81cb06e0
[25776.440836]  ffff88003f8ed410 ffff88023342f8e8 ffff8802345a1520 ffff88021f61ddb8
[25776.440839] Call Trace:
[25776.440846]  [<ffffffff81686b48>] dump_stack+0x45/0x56
[25776.440850]  [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
[25776.440853]  [<ffffffff8106d4ec>] warn_slowpath_fmt+0x4c/0x50
[25776.440856]  [<ffffffff81230ace>] ? sysfs_get_dirent_ns+0x4e/0x70
[25776.440858]  [<ffffffff81231d96>] sysfs_remove_group+0xc6/0xd0
[25776.440863]  [<ffffffff8141dba3>] dpm_sysfs_remove+0x43/0x50
[25776.440867]  [<ffffffff814138f5>] device_del+0x45/0x1c0
[25776.440869]  [<ffffffff81413a8e>] device_unregister+0x1e/0x60
[25776.440871]  [<ffffffff81413b4c>] device_destroy+0x3c/0x50
[25776.440875]  [<ffffffff81541cc7>] drop_ref.part.2+0x57/0x70
[25776.440877]  [<ffffffff815425ea>] hidraw_release+0x7a/0x90
[25776.440881]  [<ffffffff811ba63c>] __fput+0xdc/0x230
[25776.440884]  [<ffffffff811ba7de>] ____fput+0xe/0x10
[25776.440887]  [<ffffffff8108c0e7>] task_work_run+0xa7/0xe0
[25776.440891]  [<ffffffff81013a41>] do_notify_resume+0x61/0xa0
[25776.440895]  [<ffffffff81695de2>] int_signal+0x12/0x17
[25776.440897] ---[ end trace 3837a59f4e82ceb5 ]---


Plugging in the USB dongle again:


[25780.507144] usb 4-2: new full-speed USB device number 7 using ohci-pci
[25780.704409] usb 4-2: New USB device found, idVendor=046d, idProduct=c52b
[25780.704415] usb 4-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[25780.704417] usb 4-2: Product: USB Receiver
[25780.704420] usb 4-2: Manufacturer: Logitech
[25780.736340] logitech-djreceiver 0003:046D:C52B.000B: hiddev0,hidraw0: USB HID v1.11 Device [Logitech USB Receiver] on usb-0000:00:06.0-2/input2
[25780.742108] input: Logitech Unifying Device. Wireless PID:4007 as /devices/pci0000:00/0000:00:06.0/usb4/4-2/4-2:1.2/0003:046D:C52B.000B/input/input12
[25780.744460] logitech-djdevice 0003:046D:C52B.000C: input,hidraw1: USB HID v1.11 Keyboard [Logitech Unifying Device. Wireless PID:4007] on usb-0000:00:06.0-2:

Comment 7 Christian Kujau 2014-02-21 00:27:05 UTC
Oh, and yes this is a duplicate of bug 1030988, which has also the upstream bug linked.

Comment 8 James Wilson Harshaw IV 2014-03-01 23:24:48 UTC
Description of problem:
I was testing the speed of certain filesystems on my usb. I had a usb running with XFS mounted at /run/media/[user name]/[usb name]. I ran filebench, a file system I/O tester in interatice mode as root. I loaded the fileserver set, and did "run 60" (run for 60 seconds). The test worked for the first time actually, and I wanted to make sure the results were accurate so I ran the test again. Then it reported a kernel crash. filebench is still running, probably because it didn't know how to handle the problem with the kernel.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.12
cmdline:        BOOT_IMAGE=/vmlinuz-3.13.4-200.fc20.x86_64 root=/dev/mapper/fedora_localhost-root ro rd.md=0 rd.dm=0 vconsole.keymap=us rd.lvm.lv=fedora_localhost/root rd.luks.uuid=luks-8a086c48-2c5e-4e5e-9916-561b93a10c11 rd.lvm.lv=fedora_localhost/swap vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_US.UTF-8
kernel:         3.13.4-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 5661 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
sysfs group ffffffff81cb06e0 not found for kobject 'target6:0:0'
Modules linked in: usb_storage loop udp_diag tcp_diag inet_diag ccm tcp_lp fuse bnep bluetooth ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw vfat fat arc4 rt2800pci rt2800mmio snd_hda_codec_hdmi x86_pkg_temp_thermal rt2800lib rt2x00pci coretemp rt2x00mmio rt2x00lib snd_hda_codec_idt rtsx_pci_sdmmc eeprom_93cx6 kvm_intel mmc_core kvm rtsx_pci_ms snd_hda_intel snd_hda_codec mac80211 memstick uvcvideo snd_hwdep videobuf2_vmalloc videobuf2_memops videobuf2_core videodev hp_wmi rtsx_pci r8169 snd_seq snd_seq_device snd_pcm mei_me sparse_keymap iTCO_wdt iTCO_vendor_support cfg80211 joydev crc_ccitt hp_accel media rfkill mii microcode wmi snd_page_alloc snd_timer snd mei lis3lv02d lpc_ich input_polldev serio_raw shpchp mfd_core i2c_i801 soundcore dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper drm i2c_core ghash_clmulni_intel video
CPU: 3 PID: 5661 Comm: bash Not tainted 3.13.4-200.fc20.x86_64 #1
Hardware name: Hewlett-Packard HP ENVY m6 Notebook PC/18A4, BIOS F.25 01/21/2013
 0000000000000009 ffff880247f15b20 ffffffff81686b68 ffff880247f15b68
 ffff880247f15b58 ffffffff8106d47d 0000000000000000 ffffffff81cb06e0
 ffff8800396da438 ffff880238573188 ffff880003526900 ffff880247f15bb8
Call Trace:
 [<ffffffff81686b68>] dump_stack+0x45/0x56
 [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8106d4ec>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff81230aee>] ? sysfs_get_dirent_ns+0x4e/0x70
 [<ffffffff81231db6>] sysfs_remove_group+0xc6/0xd0
 [<ffffffff8141dbc3>] dpm_sysfs_remove+0x43/0x50
 [<ffffffff81413915>] device_del+0x45/0x1c0
 [<ffffffff8143eb87>] scsi_target_reap_usercontext+0x27/0x40
 [<ffffffff810862c7>] execute_in_process_context+0x67/0x70
 [<ffffffff81440004>] scsi_target_reap+0xc4/0xf0
 [<ffffffff81441fd6>] scsi_device_dev_release_usercontext+0xe6/0x120
 [<ffffffff810862c7>] execute_in_process_context+0x67/0x70
 [<ffffffff81441eec>] scsi_device_dev_release+0x1c/0x20
 [<ffffffff813161f7>] kobject_cleanup+0x77/0x1b0
 [<ffffffff81413257>] put_device+0x17/0x20
 [<ffffffff81446b80>] scsi_disk_put+0x30/0x50
 [<ffffffff811f152c>] __blkdev_put+0x16c/0x1a0
 [<ffffffff811f1e6c>] blkdev_put+0x4c/0x120
 [<ffffffff811bb26d>] deactivate_locked_super+0x3d/0x60
 [<ffffffff811d752c>] mntput_no_expire+0xac/0x140
 [<ffffffff811c259e>] path_put+0x1e/0x30
 [<ffffffff811b7479>] SyS_chdir+0x89/0xc0

Comment 9 Moez Roy 2014-03-04 00:37:35 UTC
Connected my 16GB USB device (which is formatted as FAT) to a USB3 port:

WARNING: CPU: 0 PID: 5461 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
sysfs group ffffffff81cb06e0 not found for kobject 'target6:0:0'
Modules linked in: usb_storage fuse bnep bluetooth cfg80211 rfkill vboxpci(OF) vboxnetadp(OF) vboxnetflt(OF) ip6t_rpfilter ip6t_REJECT xt_conntrack vboxdrv(OF) ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw vfat fat joydev snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm r8169 mii iTCO_wdt iTCO_vendor_support x86_pkg_temp_thermal snd_page_alloc snd_timer snd mei_me coretemp kvm_intel kvm soundcore shpchp lpc_ich mfd_core mei microcode serio_raw i2c_i801 dm_crypt nouveau mxm_wmi wmi i2c_algo_bit drm_kms_helper ttm crct10dif_pclmul crc32_pclmul crc32c_intel drm ghash_clmulni_intel i2c_core video
CPU: 0 PID: 5461 Comm: umount Tainted: GF          O 3.13.5-200.fc20.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./B75M-D3H, BIOS F14 04/17/2013
 0000000000000009 ffff88010f359b70 ffffffff81686fdc ffff88010f359bb8
 ffff88010f359ba8 ffffffff8106d47d 0000000000000000 ffffffff81cb06e0
 ffff8800d1ee1438 ffff8800506ca188 ffff8800d8a08100 ffff88010f359c08
Call Trace:
 [<ffffffff81686fdc>] dump_stack+0x45/0x56
 [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8106d4ec>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff81230afe>] ? sysfs_get_dirent_ns+0x4e/0x70
 [<ffffffff81231dc6>] sysfs_remove_group+0xc6/0xd0
 [<ffffffff8141dc03>] dpm_sysfs_remove+0x43/0x50
 [<ffffffff81413955>] device_del+0x45/0x1c0
 [<ffffffff8143eb87>] scsi_target_reap_usercontext+0x27/0x40
 [<ffffffff81086297>] execute_in_process_context+0x67/0x70
 [<ffffffff81440004>] scsi_target_reap+0xc4/0xf0
 [<ffffffff81441fd6>] scsi_device_dev_release_usercontext+0xe6/0x120
 [<ffffffff81086297>] execute_in_process_context+0x67/0x70
 [<ffffffff81441eec>] scsi_device_dev_release+0x1c/0x20
 [<ffffffff81412fa2>] device_release+0x32/0xa0
 [<ffffffff813161c7>] kobject_cleanup+0x77/0x1b0
 [<ffffffff81316080>] kobject_put+0x30/0x60
 [<ffffffff81413297>] put_device+0x17/0x20
 [<ffffffff814346eb>] scsi_device_put+0x3b/0x50
 [<ffffffff81446b80>] scsi_disk_put+0x30/0x50
 [<ffffffff81446eb2>] sd_release+0x42/0xd0
 [<ffffffff811f14ac>] __blkdev_put+0x16c/0x1a0
 [<ffffffff811f144e>] __blkdev_put+0x10e/0x1a0
 [<ffffffff811f1dec>] blkdev_put+0x4c/0x120
 [<ffffffff811baf24>] kill_block_super+0x44/0x70
 [<ffffffff811bb1ed>] deactivate_locked_super+0x3d/0x60
 [<ffffffff811bb796>] deactivate_super+0x46/0x60
 [<ffffffff811d74ac>] mntput_no_expire+0xac/0x140
 [<ffffffff811d891e>] SyS_umount+0x8e/0x100
 [<ffffffff81695fa9>] system_call_fastpath+0x16/0x1b

Comment 10 Moez Roy 2014-03-12 05:55:09 UTC
Marking Bug 1066259 as duplicate of Bug 1030988.

Please revert if this is incorrect.

*** This bug has been marked as a duplicate of bug 1030988 ***


Note You need to log in before you can comment on or make changes to this bug.